Name:           felix-gogo-runtime
Version:        0.16.2
Release:        %mkrel 6
Group:          Development/Java
Summary:        Community OSGi R4 Service Platform Implementation - Basic Commands
License:        ASL 2.0
URL:            http://felix.apache.org/site/apache-felix-gogo.html

Source0:        http://www.apache.org/dist/felix/org.apache.felix.gogo.runtime-%{version}-project.tar.gz 

# Typecast an Event constructor call with java.util.Properties to 
# java.util.Dictionary because the call to the constructor with Properties
# was ambiguous.
Patch1:         felix-gogo-runtime-dictionary.patch
# Changed path to DEPENDENCIES, LICENSE and NOTICE from META-INF to root dir
Patch2:         felix-gogo-runtime-bundle-resources.patch
# Removed failing thread IO test
Patch3:         felix-gogo-runtime-deleted-io-test.patch
# Removed relativePath to parent pom
Patch4:         felix-gogo-runtime-parent.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:gogo-parent:pom:)
BuildRequires:  mvn(org.easymock:easymock)
BuildRequires:  mvn(org.mockito:mockito-all)
BuildRequires:  mvn(org.osgi:org.osgi.compendium)
BuildRequires:  mvn(org.osgi:org.osgi.core)

%description
Apache Felix is a community effort to implement the OSGi R4 Service Platform
and other interesting OSGi-related technologies under the Apache license. The
OSGi specifications originally targeted embedded devices and home services
gateways, but they are ideally suited for any project interested in the
principles of modularity, component-orientation, and/or service-orientation.
OSGi technology combines aspects of these aforementioned principles to define a
dynamic service deployment framework that is amenable to remote management.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n org.apache.felix.gogo.runtime-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%mvn_file : felix/%{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc DEPENDENCIES LICENSE NOTICE 

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.16.2-6.mga6
+ Revision: 981909
- Second rebuild of the java stack

* Wed Mar 02 2016 neoclust <neoclust> 0.16.2-5.mga6
+ Revision: 981762
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.16.2-4.mga6
+ Revision: 976242
- First rebuild of the java stack
- sync package felix-gogo-runtime with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 0.12.1-2.mga5
+ Revision: 805679
- Clean rebuild
- Sync with Fedora 21 (Update to 0.1.21)

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 742703
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 0.10.0-3.mga4
+ Revision: 486562
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 350126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 0.10.0-1.mga3
+ Revision: 268246
- New version

* Tue Nov 01 2011 gil <gil> 0.6.1-1.mga2
+ Revision: 160922
- imported package felix-gogo-runtime

